smbtatorture(1)

SYNOPSIS
smbtatorture [-h --help] [-p password] [-1 --share1] [-2 --share2] [-w --workgroup] [-u --user] [-c --copy] [-r --record] [-t --time] [-s --size] [-n --number] [-v --verbose]

DESCRIPTION
The smbtatorture program is part of the SMB traffic analyzer suite, which consists of vfs_smb_traffic_analyzer(1), smbtad(1), and smbtatorture.

The goal of smbtatorture is to simlulate a network transfer typical to a real situation in smaller networks. It requires two shares on a samba server to run. On this shares, it creates a user given number of files, and copies them in given time intervalls.

Being able to record the files it has copied, and when, a smbtatorture run can be re-used for benchmarking.

smbtatorture is a tool developed for long time testing the smbtad daemon.

It is work in progress.

OPTIONS

-h --help
    Display a short help text on the command line.

-1 --share1 -2 --share2
    This option tells smbtatorture the full smb url of the two shares it requires.

-w --workgroup
    Specify the workgroup smbtatorture should work on.

-u --user
    Specify the username for smbtatorture to operate on the samba server.

-p --password
    Specify the SMB password for the user given in -u.

-c --copy
    This specifies the amount of file copies smbtatorture will do. The default value is 0, which means infinite.

-t --time
    Set the maximum time delay after each copy-process. smbtatorture will generate random times with that as maximum.

-s --size
    Set the summary for all files together.

-n --number
    Set the number of files smbtatorture should generate.

-v --verbose
    Be verbose and print all steps to the screen.

-r --record
    This option takes a string as argument, specifying the name of the file which will be used to record a smbtatorture session. If this option is given, a text file will be created which includes all the values to re-run exactly the same session again by using the -e option. Because a recording session cannot run infinite, you must specify the -c option with a value.

-e --play
    This option takes a string as argument, specifying the name of the file which will be used to playback a smbtatorture session. If this option is given, the file given in the argument will be opened, and the parameters stored in the file are used to run a smbtatorture session. Currently, the fileset will not be created, and the option relies on that the files are already existing.

EXAMPLES

This will generate 25 files with a total size of 500 Megabyte, copy them 200 times and after each copy wait for a maximum time of 15 seconds. smbtatorture will be verbose, and tries to login to the samba services as user 'user' and with password 'password'.
    smbtatorture -u user -p password -1 smb://test.domain.com/Pool1 -2 smb://test.domain.com/Pool2 -v -c 200 -s 500M -t 15 -n 25

This will create a smbtatorture session with 10 files, at a total size of 200MB. It will copy around those files between the shares 'smb://test.domain.com//pool1' and 'smb://test.domain.com//pool2' for 6 times, be verbose, and waits a maximum of 10 seconds between each copy. The session will be recorded to the file 'record.txt'.
    smbtatorture -u user -p password -1 smb://test.domain.com/pool1 -2 smb://test.domain.com/pool2 -v -c 6 -s 200M -t 10 -n 10 -r record.txt

This will playback the session 'record.txt', be verbose, using the shares 'smb://test.domain.com//pool1' and 'smb://test.domain.com//pool2'.
    smbtatorture -u user -p password -1 smb://test.domain.com/pool1 -2 smb://test.domain.com/pool2 -v -e record.txt